play.libs

## Class F.ArchivedEventStream<T>

- java.lang.Object
- - play.libs.F.ArchivedEventStream<T>

Enclosing class:
  F

    public static class F.ArchivedEventStream<T>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ArchivedEventStream(int archiveSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<T>` `archive()`
`java.util.List<F.IndexedEvent>` `availableEvents(long lastEventSeen)`
`F.EventStream<T>` `eventStream()`
`F.Promise<java.util.List<F.IndexedEvent<T>>>` `nextEvents(long lastEventSeen)`
`void` `publish(T event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArchivedEventStream

    public ArchivedEventStream(int archiveSize)

### Method Detail

#### eventStream

    public F.EventStream<T> eventStream()

#### nextEvents

    public F.Promise<java.util.List<F.IndexedEvent<T>>> nextEvents(long lastEventSeen)

#### availableEvents

    public java.util.List<F.IndexedEvent> availableEvents(long lastEventSeen)

#### archive

    public java.util.List<T> archive()

#### publish

    public void publish(T event)